%define libsoup_version_required 2.2.3
%define api_version 1.2
%define base_version 1.10
%define lib_major 6
%define lib_name %mklibname %{name} %{lib_major}
%define firefox_version 1.0.1

%define oldmajor 6
%define oldlibname %mklibname %name %oldmajor

%define oldmajor2006 4
%define oldlibname2006 %mklibname %name %oldmajor2006

%define camelmajor 10
%define camel_libname %mklibname camel %camelmajor

%define camelprovidermajor 10
%define camelprovider_libname %mklibname camel-provider %camelprovidermajor

%define ebookmajor 9
%define ebook_libname %mklibname ebook %ebookmajor

%define ecalmajor 7
%define ecal_libname %mklibname ecal %ecalmajor

%define edatabookmajor 2
%define edatabook_libname %mklibname edata-book %edatabookmajor

%define edatacalmajor 6
%define edatacal_libname %mklibname edata-cal %edatacalmajor

%define edataservermajor 9
%define edataserver_libname %mklibname edataserver %edataservermajor

%define edataserveruimajor 8
%define edataserverui_libname %mklibname edataserverui %edataserveruimajor

%define egroupwisemajor 13
%define egroupwise_libname %mklibname egroupwise %egroupwisemajor

%define exchangemajor 3
%define exchange_libname %mklibname exchange-storage %exchangemajor

Name:		evolution-data-server
Summary:	Evolution Data Server
Version: 1.10.0
Release: %mkrel 4
License: 	GPL
Group:		System/Libraries
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 1.10.0-2mdv disable forgotten debug output (SVN)
Patch0:		evolution-data-server-1.10.0-removedebug.patch
# (pt) 1.10.0-3mdv fix empty error dialog in non utf8 locale
Patch1:		evolution-data-server-1.10.0-gpg_utf8.patch
# (fc) 1.10.0-4mdv fix libexec path, for crash handling
Patch2:		evolution-data-server-1.10.0-libexec.patch
# (fc) add support for Exchange 2003 behind ISA Server 2004 (GNOME bug #415922)
Patch3:		evolution-data-server-1.9.92-isa-support.patch

URL: 		http://www.gnome.org/projects/evolution/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires: bison flex
BuildRequires: gtk-doc
BuildRequires: krb5-devel
BuildRequires: libglade2.0-devel
BuildRequires: libgnomeui2-devel
BuildRequires: libsoup-devel >= %{libsoup_version_required}
BuildRequires: nss-devel >= %{firefox_version}
BuildRequires: nspr-devel >= %{firefox_version}
BuildRequires: openldap-devel 
BuildRequires: perl-XML-Parser
BuildRequires: db4-devel

Obsoletes: %oldlibname


%description
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{camel_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
Obsoletes: %oldlibname2006

%description -n %{camel_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{camelprovider_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{camelprovider_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{ebook_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{ebook_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{ecal_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{ecal_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{edatabook_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
Obsoletes: %oldlibname2006

%description -n %{edatabook_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{edatacal_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
Obsoletes: %oldlibname2006

%description -n %{edatacal_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{edataserver_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
Obsoletes: %oldlibname2006

%description -n %{edataserver_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{edataserverui_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
Obsoletes: %{_lib}edataserverui4

%description -n %{edataserverui_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{egroupwise_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{egroupwise_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{exchange_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{exchange_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{edataserver_libname}-devel
Summary:	Libraries and include files for using Evolution Data Server
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}
Requires: %camel_libname = %version
Requires: %camelprovider_libname = %version
Requires: %ebook_libname = %version
Requires: %ecal_libname = %version
Requires: %edatabook_libname = %version
Requires: %edatacal_libname = %version
Requires: %edataserver_libname = %version
Requires: %edataserverui_libname = %version
Requires: %egroupwise_libname = %version
Requires: %exchange_libname = %version
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides: libedataserver-devel = %version-%release
Requires: nss-devel >= %{firefox_version}
Requires: nspr-devel >= %{firefox_version}
%define _requires_exceptions nspr4\\|plc4\\|plds4\\|nss3\\|smime3\\|softokn3\\|ssl3

%description -n %{edataserver_libname}-devel
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%prep
%setup -q
%patch0 -p1 -b .disabledebug
%patch1 -p0 -b .gpgutf8
%patch2 -p1 -b .libexec
%patch3 -p1 -b .isa

%build

%configure2_5x --with-krb5=%{_prefix} --with-krb5-libs=%{_libdir} \
--without-krb4 --with-libdb=%{_prefix} \
--with-openldap=yes --with-static-ldap=no --enable-gtk-doc=yes 
#--enable-gnome-keyring=yes
%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std


%{find_lang} %{name}-%{base_version}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -n %camel_libname -p /sbin/ldconfig
%postun -n %camel_libname -p /sbin/ldconfig
%post -n %camelprovider_libname -p /sbin/ldconfig
%postun -n %camelprovider_libname -p /sbin/ldconfig
%post -n %ebook_libname -p /sbin/ldconfig
%postun -n %ebook_libname -p /sbin/ldconfig
%post -n %ecal_libname -p /sbin/ldconfig
%postun -n %ecal_libname -p /sbin/ldconfig
%post -n %edatabook_libname -p /sbin/ldconfig
%postun -n %edatabook_libname -p /sbin/ldconfig
%post -n %edatacal_libname -p /sbin/ldconfig
%postun -n %edatacal_libname -p /sbin/ldconfig
%post -n %edataserver_libname -p /sbin/ldconfig
%postun -n %edataserver_libname -p /sbin/ldconfig
%post -n %edataserverui_libname -p /sbin/ldconfig
%postun -n %edataserverui_libname -p /sbin/ldconfig
%post -n %egroupwise_libname -p /sbin/ldconfig
%postun -n %egroupwise_libname -p /sbin/ldconfig
%post -n %exchange_libname -p /sbin/ldconfig
%postun -n %exchange_libname -p /sbin/ldconfig

%files -f %{name}-%{base_version}.lang
%defattr(-, root, root)
%doc COPYING ChangeLog 
%{_libexecdir}/%{name}-%{base_version}
%{_libexecdir}/%{name}-%{api_version}
%{_libexecdir}/camel-index-control-%{api_version}
%attr(2755,root,mail) %{_libexecdir}/camel-lock-helper-%{api_version}
%{_libdir}/bonobo/servers/*
%{_datadir}/idl/%{name}-%{api_version}
%{_datadir}/%{name}-%{base_version}
%{_datadir}/pixmaps/%{name}

%files -n %{camel_libname}
%defattr(-, root, root)
%{_libdir}/libcamel-%{api_version}.so.%{camelmajor}*

%files -n %{camelprovider_libname}
%defattr(-, root, root)
%{_libdir}/libcamel-provider*.so.%{camelprovidermajor}*

%files -n %{ebook_libname}
%defattr(-, root, root)
%{_libdir}/libebook*.so.%{ebookmajor}*

%files -n %{ecal_libname}
%defattr(-, root, root)
%{_libdir}/libecal*.so.%{ecalmajor}*

%files -n %{edatabook_libname}
%defattr(-, root, root)
%{_libdir}/libedata-book*.so.%{edatabookmajor}*

%files -n %{edatacal_libname}
%defattr(-, root, root)
%{_libdir}/libedata-cal*.so.%{edatacalmajor}*

%files -n %{edataserver_libname}
%defattr(-, root, root)
%{_libdir}/libedataserver-*.so.%{edataservermajor}*

%files -n %{edataserverui_libname}
%defattr(-, root, root)
%{_libdir}/libedataserverui-*.so.%{edataserveruimajor}*

%files -n %{egroupwise_libname}
%defattr(-, root, root)
%{_libdir}/libegroupwise-*.so.%{egroupwisemajor}*

%files -n %{exchange_libname}
%defattr(-, root, root)
%{_libdir}/libexchange-storage-*.so.%{exchangemajor}*

%files -n %{edataserver_libname}-devel
%defattr(-, root, root)
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/%{name}-%{base_version}
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%attr(644,root,root) %{_libdir}/*.la


%changelog
* Mon Apr 02 2007 Frederic Crozat <fcrozat@mandriva.com> 1.10.0-4mdv2007.1
+ Revision: 150347
- Patch2: fix bug report when e-d-s crashes
- Patch3 (Fedora): support for Exchange 2003 behind ISA Server 2004 (GNOME bug #415922)
- build with db4 dynamically now, reduce memory usage

* Tue Mar 27 2007 Pascal Terjan <pterjan@mandriva.org> 1.10.0-3mdv2007.1
+ Revision: 149236
- fix empty dialog when gnupg returns errors in non utf8 locale

* Thu Mar 15 2007 Frederic Crozat <fcrozat@mandriva.com> 1.10.0-2mdv2007.1
+ Revision: 144442
- Patch0 (SVN): disable forgotten debug output

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 1.10.0-1mdv2007.1
+ Revision: 142117
- new version

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 1.9.92-1mdv2007.1
+ Revision: 125992
- new version

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 1.9.91-1mdv2007.1
+ Revision: 120042
- new version
- drop patch

* Fri Jan 26 2007 Pascal Terjan <pterjan@mandriva.org> 1.9.6.1-3mdv2007.1
+ Revision: 113727
- Fix GNOME bug #400841 (new mails not appearing when using IMAP)

  + Götz Waschk <waschk@mandriva.org>
    - disable Gnome Keyring for now

* Tue Jan 23 2007 Götz Waschk <waschk@mandriva.org> 1.9.6.1-1mdv2007.1
+ Revision: 112597
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 1.9.6-1mdv2007.1
+ Revision: 112087
- new version
- enable gnome-keyring, it doesn't build otherwise
- reenable gtk-doc

* Tue Jan 16 2007 Götz Waschk <waschk@mandriva.org> 1.9.4-3mdv2007.1
+ Revision: 109629
- readd gtk-doc files to the file list
- emergency rebuild without gtk-doc
- rebuild

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 1.9.4-2mdv2007.1
+ Revision: 99758
- fix libcamel package

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 1.9.4-1mdv2007.1
+ Revision: 99078
- new version
- new major

* Fri Dec 08 2006 Götz Waschk <waschk@mandriva.org> 1.9.3-2mdv2007.1
+ Revision: 92164
- rebuild for new firefox

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 1.9.3-1mdv2007.1
+ Revision: 90709
- new version

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 1.9.2-2mdv2007.1
+ Revision: 88438
- rebuild

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 1.9.2-1mdv2007.1
+ Revision: 87536
- new version
- update some majors

* Thu Nov 23 2006 Götz Waschk <waschk@mandriva.org> 1.8.2-4mdv2007.1
+ Revision: 86614
- bot rebuild
- bot rebuild
- bot rebuild
- new version

* Thu Oct 12 2006 Götz Waschk <waschk@mandriva.org> 1.8.1-3mdv2007.1
+ Revision: 63824
- rebuild
- rebuild
- Import evolution-data-server



* Thu Oct 05 2006 Götz Waschk <waschk@mandriva.org> 1.8.1-1mdv2007.0
- New version 1.8.1

* Mon Sep 04 2006 Götz Waschk <waschk@mandriva.org> 1.8.0-1mdv2007.0
- New release 1.8.0

* Mon Aug 21 2006 Frederic Crozat <fcrozat@mandriva.com> 1.7.92-1mdv2007.0
- Release 1.7.92

* Tue Aug  8 2006 Gtz Waschk <waschk@mandriva.org> 1.7.91-1mdv2007.0
- fix majors
- New release 1.7.91

* Tue Aug 01 2006 Frederic Crozat <fcrozat@mandriva.com> 1.7.90.1-2mdv2007.0
- Rebuild with latest dbus

* Tue Jul 25 2006 Gtz Waschk <waschk@mandriva.org> 1.7.90.1-1mdv2007.0
- drop patch
- New release 1.7.90.1

* Tue Jul 25 2006 Gtz Waschk <waschk@mandriva.org> 1.7.90-2mdv2007.0
- fix edatacal major

* Tue Jul 25 2006 Gtz Waschk <waschk@mandriva.org> 1.7.90-1mdv2007.0
- new majors
- patch to fix build, the release tarball is missing some files
- New release 1.7.90

* Mon Jul 17 2006 Frederic Crozat <fcrozat@mandriva.com> 1.7.4-2mdv2007.0
- Rebuild to drop obsolete libhowl dependency

* Mon Jul 10 2006 Götz Waschk <waschk@mandriva.org> 1.7.4-1mdv2007.0
- New release 1.7.4

* Tue Jun 13 2006 Götz Waschk <waschk@mandriva.org> 1.7.3-1
- New release 1.7.3

* Thu Jun 01 2006 Frederic Crozat <fcrozat@mandriva.com> 1.7.2-1mdv2007.0
- Release 1.7.2
- Remove patch1 (merged upstream)

* Tue May 30 2006 Gtz Waschk <waschk@mandriva.org> 1.6.2-2mdv2007.0
- fix edata-cal major

* Tue May 30 2006 Gtz Waschk <waschk@mandriva.org> 1.6.2-1mdv2007.0
- new majors
- drop patch 0
- New release 1.6.2

* Thu May 04 2006 Frederic Crozat <fcrozat@mandriva.com> 1.6.1-3mdk
- Patch1 (CVS): fix crash with invalid UTF-8 (GNOME bug #335961)

* Thu Apr 13 2006 Stew Benedict <sbenedict@mandriva.com> 1.6.1-2mdk
- rebuild - x86_64 got built against unowned libsoup-2.2.so.7

* Wed Apr 12 2006 Frederic Crozat <fcrozat@mandriva.com> 1.6.1-1mdk
- Release 1.6.1

* Thu Jan 12 2006 Frederic Crozat <fcrozat@mandriva.com> 1.4.2.1-5mdk
- Fix error in libedataserverui major name
- fix dependencies to allow upgrade from 2006 with auto-select

* Mon Jan 09 2006 Frederic Crozat <fcrozat@mandriva.com> 1.4.2.1-4mdk
- Replace some conflicts with obsoletes, allow smooth cooker upgrade

* Mon Jan  9 2006 Gtz Waschk <waschk@mandriva.org> 1.4.2.1-3mdk
- split lib package
- mkrel

* Mon Dec 05 2005 Frederic Crozat <fcrozat@mandriva.com> 1.4.2.1-2mdk
- Patch0 (CVS): various crash fixes

* Wed Nov 30 2005 Götz Waschk <waschk@mandriva.org> 1.4.2.1-1mdk
- New release 1.4.2.1

* Tue Nov 29 2005 Götz Waschk <waschk@mandriva.org> 1.4.2-1mdk
- New release 1.4.2

* Sun Oct 09 2005 Götz Waschk <waschk@mandriva.org> 1.4.1.1-1mdk
- New release 1.4.1.1

* Wed Oct 05 2005 Götz Waschk <waschk@mandriva.org> 1.4.1-2mdk
- rebuild for new libsoup

* Wed Oct 05 2005 Frederic Crozat <fcrozat@mandriva.com> 1.4.1-1mdk
- Release 1.4.1
- Remove patches 2, 3, 4 (merged upstream)

* Thu Sep 15 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.3-7mdk 
- Patch4 (CVS): various fixes (mainly crashers)

* Tue Aug 30 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.2.3-6mdk
- Rebuild for new libldap-2.2

* Sun Aug 07 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.2.3-5mdk
- add BuildRequires: intltool gnome-common

* Mon Jul 04 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.3-4mdk 
- Patch3: fix i18n not initialised correctly in camel

* Fri Jun 17 2005 Andreas Hasenack <andreas@mandriva.com> 1.2.3-3mdk
- built without krb4

* Thu Jun 09 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.2.3-2mdk
- Rebuild for libkrb53-devel 1.4.1

* Sun Jun  5 2005 Gtz Waschk <waschk@mandriva.org> 1.2.3-1mdk
- small build patch
- New release 1.2.3

* Tue May 03 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.2-7mdk 
- Enable kerberos support (Mdk bug #15781)

* Mon Apr 25 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.2-6mdk 
- Patch1: fix location of eds daemon (GNOME bug #15593)

* Thu Apr 21 2005 Gtz Waschk <waschk@mandriva.org> 1.2.2-5mdk
- fix buildrequires

* Thu Apr 21 2005 Gtz Waschk <waschk@mandriva.org> 1.2.2-4mdk
- fix buildrequires

* Thu Apr 21 2005 Gtz Waschk <waschk@mandriva.org> 1.2.2-3mdk
- fix buildrequires

* Thu Apr 21 2005 Gtz Waschk <waschk@mandriva.org> 1.2.2-2mdk
- fix devel deps

* Wed Apr 20 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.2-1mdk 
- Release 1.2.2 (based on Gtz Waschk package)

* Wed Mar 16 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-2mdk 
- Patch0 (CVS): fix webcal timezone handling
- Patch1 (CVS): fix eds not exiting (Mdk bug #13920)

* Fri Feb 18 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-1mdk 
- Release 1.0.4

* Fri Feb 04 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.0.3-3mdk
- rebuild for ldap2.2_7

* Tue Jan 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-2mdk 
- Rebuild with latest howl

* Tue Dec  7 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-1mdk
- New release 1.0.3

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-1mdk
- drop merged patches 0,1
- New release 1.0.2

* Fri Oct 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk
- Patch0 (CVS): fix file_as attribute for vcard
- Patch1 (CVS): fix duplication with remote calendars

* Wed Sep 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1
- Remove patch0 (merged upstream)

* Tue Sep 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-2mdk
- Patch0: Fix addressbook loading on AMD CPUs

* Tue Sep 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-1mdk
- Release 1.0.0

* Mon Aug 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.99-1mdk
- Release 0.0.99

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.98-2mdk
- Rebuild with latest libsoup

* Mon Aug 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.98-1mdk
- requires new soup
- New release 0.0.98

* Tue Aug  3 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.0.97-1mdk
- New release 0.0.97

* Tue Jul 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.96-1mdk
- requires new soup
- New release 0.0.96

* Mon Jul  5 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.0.95-1mdk
- New release 0.0.95

* Thu Jun 17 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.0.94.1-1mdk
- New release 0.0.94.1

* Sun Jun  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.94-1mdk
- requires new soup
- New release 0.0.94

* Sat May 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.93-1mdk
- fix URL
- reenable libtoolize
- New release 0.0.93

* Thu Apr 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.92-2mdk
- fix buildrequires

* Tue Apr 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.92-1mdk
- Initial Mandrakelinux package
